package ink.wgink.login.oauth2.server.pojo.pos;

import java.io.Serializable;

/**
 * @ClassName: OauthClientDTO
 * @Description: 授权认证客户端
 * @Author: wenc
 * @Date: 2019/1/8 7:43 PM
 * @Version: 1.0
 **/
public class OAuth2ClientPO implements Serializable{

    private static final long serialVersionUID = 2201386758342553263L;
    private String clientId;
    private String clientName;
    private String webServerRedirectUri;
    private String resourceIds;
    private String clientSecret;
    private String scope;
    private String authorizedGrantTypes;
    private String authorities;
    private Integer accessTokenValidity;
    private Integer refreshTokenValidity;
    private String additionalInformation;
    private String autoapprove;
    private String menuId;
    private String environment;
    private String systemType;
    private String systemState;
    private String expireTime;
    private String systemSummary;
    private String systemIcon;
    private Double sort;
    private String gmtCreate;
    private String creator;
    private String gmtModified;
    private String modifier;
    private Integer isDelete;

    public String getClientId() {
        return clientId == null ? "" : clientId.trim();
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientName() {
        return clientName == null ? "" : clientName.trim();
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getWebServerRedirectUri() {
        return webServerRedirectUri == null ? "" : webServerRedirectUri.trim();
    }

    public void setWebServerRedirectUri(String webServerRedirectUri) {
        this.webServerRedirectUri = webServerRedirectUri;
    }

    public String getResourceIds() {
        return resourceIds == null ? "" : resourceIds.trim();
    }

    public void setResourceIds(String resourceIds) {
        this.resourceIds = resourceIds;
    }

    public String getClientSecret() {
        return clientSecret == null ? "" : clientSecret.trim();
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getScope() {
        return scope == null ? "" : scope.trim();
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getAuthorizedGrantTypes() {
        return authorizedGrantTypes == null ? "" : authorizedGrantTypes.trim();
    }

    public void setAuthorizedGrantTypes(String authorizedGrantTypes) {
        this.authorizedGrantTypes = authorizedGrantTypes;
    }

    public String getAuthorities() {
        return authorities == null ? "" : authorities.trim();
    }

    public void setAuthorities(String authorities) {
        this.authorities = authorities;
    }

    public Integer getAccessTokenValidity() {
        return accessTokenValidity == null ? 0 : accessTokenValidity;
    }

    public void setAccessTokenValidity(Integer accessTokenValidity) {
        this.accessTokenValidity = accessTokenValidity;
    }

    public Integer getRefreshTokenValidity() {
        return refreshTokenValidity == null ? 0 : refreshTokenValidity;
    }

    public void setRefreshTokenValidity(Integer refreshTokenValidity) {
        this.refreshTokenValidity = refreshTokenValidity;
    }

    public String getAdditionalInformation() {
        return additionalInformation == null ? "" : additionalInformation.trim();
    }

    public void setAdditionalInformation(String additionalInformation) {
        this.additionalInformation = additionalInformation;
    }

    public String getAutoapprove() {
        return autoapprove == null ? "" : autoapprove.trim();
    }

    public void setAutoapprove(String autoapprove) {
        this.autoapprove = autoapprove;
    }

    public String getMenuId() {
        return menuId == null ? "" : menuId.trim();
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public String getEnvironment() {
        return environment == null ? "" : environment.trim();
    }

    public void setEnvironment(String environment) {
        this.environment = environment;
    }

    public String getSystemType() {
        return systemType == null ? "" : systemType.trim();
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getSystemState() {
        return systemState == null ? "" : systemState.trim();
    }

    public void setSystemState(String systemState) {
        this.systemState = systemState;
    }

    public String getExpireTime() {
        return expireTime == null ? "" : expireTime.trim();
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }

    public String getSystemSummary() {
        return systemSummary == null ? "" : systemSummary.trim();
    }

    public void setSystemSummary(String systemSummary) {
        this.systemSummary = systemSummary;
    }

    public String getSystemIcon() {
        return systemIcon == null ? "" : systemIcon.trim();
    }

    public void setSystemIcon(String systemIcon) {
        this.systemIcon = systemIcon;
    }

    public Double getSort() {
        return sort == null ? 0 : sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
